# $Revision: 1.10 $, $Date: 2001/12/19 00:45:35 $
Summary:	Implementation of DVD CSS authentication protocol and decryption algorithm
Summary(pl):	Implementacja algorytmu autentyfikacji i deszyfrowania DVD CSS
Name:		libcss
Version:	0.1.0
Release:	5
License:	GPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	http://www.linuxvideo.org/oms/data/%{name}-%{version}.tar.gz
Patch0:		%{name}-install.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-am15.patch
URL:		http://linuxvideo.org/oms/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains code to perform the css authentication protocol,
allowing locked sectors on the DVD disc to be accessed. We are allowed
to read the disc key and title keys.

It contains also an implementation of the css decryption algorithm, so
that we can watch DVD's.

%description -l pl
Pakiet zawiera kod obsugujcy protok autentyfikacji css, pozwalajc
na dostp do zablokowanych sektorw na dyskach DVD. Wolno czyta klucz
dysku oraz tytuy.

Ponadto pakiet zawiera implementacj algorytmu deszyfrujcego css
pozwalajcego na ogldanie filmw z DVD.

%package -n css
Summary:	Some useful programs to access DVD
Summary(pl):	Uyteczne programy zwizane z DVD
Group:		Applications
Group(de):	Applikationen
Group(pl):	Aplikacje

%description -n css
Some useful programs to access DVD.

%description -n css -l pl
Uyteczne programy zwizane z DVD.

%package devel
Summary:	DVD CSS library headers
Summary(pl):	Pliki nagwkowe biblioteki DVD CSS
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libcss into applications.

%description devel -l pl
Pliki nagwkowe pozwalajce na uywanie biblioteki libcss w swoich
programach.

%package static
Summary:	DVD CSS static libraries
Summary(pl):	Statyczne biblioteki do obsugi DVD CSS
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
This is package with static libcss libraries.

%description static -l pl
Statyczna biblioteka libcss.

%prep
%setup	-q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal -I m4
autoheader
autoconf
automake -a -c
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf src/README

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc src/README*
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n css
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/css*
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libcss.spec,v $
Revision 1.10  2001/12/19 00:45:35  kloczek
- release 5.

Revision 1.9  2001/12/18 18:43:52  gotar
- one more typo.

Revision 1.8  2001/12/18 17:36:29  gotar
- cosmetics.

Revision 1.7  2001/10/06 06:26:27  kloczek
- added am15 patch.

Revision 1.6  2001/10/03 19:08:01  kloczek
- cosmetics.

Revision 1.5  2001/10/03 16:42:43  filon
- changed req for main subpkg in static subpkg to devel
- release 4

Revision 1.4  2001/06/24 09:37:44  misiek
- added URL
- added translations
- rebuild autostuff
- fix shared library linking

Revision 1.3  2001/03/11 07:17:17  qboosh
- opt patch

Revision 1.2  2001/02/16 00:33:19  wrobell
- patch to create binaries linked with shared libraries
- release up, stb

Revision 1.1  2001/02/16 00:07:53  wrobell
- created from template, stb
